> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unleashx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Evaluation Webhook URL

> Generate the webhook token/URL for an evaluation with `call_source = webhook`. Idempotent: an existing token is reused.

Generate the webhook token/URL for an evaluation with `call_source = webhook`. Idempotent: an existing token is reused.

## Endpoint

**POST** `/evaluation/generate-webhook-url`

**Authentication:** API token in the `token` header.

## Body Parameters

| Parameter | Type | Required | Description |
| - | - | - | - |
| `eval_id` | number | Yes | Evaluation ID |

## Response

Same response as the in-app evaluation API.


## OpenAPI

````yaml api-reference/openapi.json POST /evaluation/generate-webhook-url
openapi: 3.1.0
info:
  title: >-
    UnleashX - Build human like conversations | Voice Agents | Automations | AI
    Workforce
  version: 1.0.0
  description: UnleashX - Your home for human like conversations
servers:
  - url: https://www.tryunleashx.com/api/v1/global/
security:
  - bearerAuth: []
paths:
  /evaluation/generate-webhook-url:
    post:
      tags:
        - Evaluation
      summary: Generate Evaluation Webhook URL
      description: >-
        Generate the webhook token/URL for an evaluation with `call_source =
        webhook`. Idempotent: an existing token is reused.
      parameters:
        - name: token
          in: header
          required: true
          description: API token for authentication
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - eval_id
              properties:
                eval_id:
                  type: integer
                  description: Evaluation ID
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.